/*----------------------------------------------------------------------------*/
/* Copyright (c) 2018 FIRST. All Rights Reserved.                             */
/* Open Source Software - may be modified and shared by FRC teams. The code   */
/* must be accompanied by the FIRST BSD license file in the root directory of */
/* the project.                                                               */
/*----------------------------------------------------------------------------*/

package frc.robot;

import edu.wpi.first.wpilibj.TimedRobot;
import edu.wpi.first.wpilibj.smartdashboard.SmartDashboard;
import edu.wpi.first.wpilibj.Counter;

/**
 * Touchless encoder example
 * 
 */
public class Robot extends TimedRobot {
 
  Counter m_encoder;
  @Override
  public void robotInit() {
    m_encoder = new Counter();
    m_encoder.setUpSource(0);
    m_encoder.setUpDownCounterMode();
    m_encoder.setDistancePerPulse(Math.PI*6); //distance per pulse PI*diameter of wheel (6" in this case)
    m_encoder.setMaxPeriod(.2); //max period to determine if stopped
    m_encoder.reset();
  }

  
  @Override
  public void robotPeriodic() {
    int count = m_encoder.get(); //get the number of encoder counts
    double dist = m_encoder.getDistance(); //get the distance the wheel has spun
    double rate = m_encoder.getRate(); //get the rate at which the wheel is spinning
    SmartDashboard.putNumber("Encoder Counts", count);
    SmartDashboard.putNumber("Distance", dist);
    SmartDashboard.putNumber("Velocity (in/s)", rate);

  }


}
